import React from 'react';
import { AieStyleMap } from '../aie';
import { AioExternalSingle } from '../aio';
import './aif.css';
import { AifBlockLine, AifLineType } from './aifInterface';
interface AsupInternalBlockProps {
    id: string;
    lines: AifBlockLine[];
    setLines?: (ret: AifBlockLine[]) => void;
    minLines?: number;
    maxLines?: number;
    externalSingles?: AioExternalSingle[];
    styleMap?: AieStyleMap;
    defaultType?: AifLineType;
    canChangeType?: boolean;
    style?: React.CSSProperties;
}
export declare const AsupInternalBlock: ({ id, lines, setLines, minLines, maxLines, externalSingles, styleMap, defaultType, canChangeType, style, }: AsupInternalBlockProps) => JSX.Element;
export {};
