/// <reference types="draft-js" />
import 'draft-js/dist/Draft.css';
import React from 'react';
import './aie.css';
import { AieStyleMap } from './functions/aieInterface';
/** Interface for the AsupInternalEditor component */
interface AsupInternalEditorProps {
    id: string;
    value: string;
    setValue?: (ret: string) => void;
    style?: React.CSSProperties;
    styleMap?: AieStyleMap;
    textAlignment?: Draft.DraftComponent.Base.DraftTextAlignment | 'decimal' | 'default';
    decimalAlignPercent?: number;
    showStyleButtons?: boolean;
    editable?: boolean;
}
export declare const AsupInternalEditor: ({ id, value, setValue, style, styleMap, textAlignment, showStyleButtons, editable, decimalAlignPercent, }: AsupInternalEditorProps) => JSX.Element;
export {};
