/// <reference types="react" />
import { AioReplacement } from '../aio';
import { AitLocation, AitRowData, AitRowGroupData } from './aitInterface';
interface AitRowGroupProps {
    id: string;
    aitid: string;
    name?: string;
    location: AitLocation;
    rows: AitRowData[];
    comments?: string;
    replacements: AioReplacement[];
    setRowGroupData: (ret: AitRowGroupData) => void;
    setColWidth?: (colNo: number, colWidth: number) => void;
    addRowGroup?: (rgi: number, templateName?: string) => void;
    removeRowGroup?: (rgi: number) => void;
    spaceAfter?: boolean;
}
export declare const AitRowGroup: ({ id, aitid, location, rows, comments, replacements, spaceAfter, setRowGroupData, setColWidth, addRowGroup, removeRowGroup, }: AitRowGroupProps) => JSX.Element;
export {};
